ActiveMQJournalLogger (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.journal

## Interface ActiveMQJournalLogger

- All Superinterfaces:
    org.jboss.logging.BasicLogger

      @MessageLogger(projectCode="AMQ")
      public interface ActiveMQJournalLogger
      extends org.jboss.logging.BasicLogger

  Logger Code 14 each message id must be 6 digits long starting with 14, the 3rd digit donates the level so INF0 1 WARN 2 DEBUG 3 ERROR 4 TRACE 5 FATAL 6 so an INFO message would be 141000 to 141999

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ActiveMQJournalLogger` | `LOGGER` The journal logger.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `callbackError(String error)`
    `void` | `checkFiles()`
    `void` | `compactingWithNoAddRecord(Long id)`
    `void` | `compactMergeError(Long id)`
    `void` | `compactReadError(org.apache.activemq.artemis.core.journal.impl.JournalFile file)`
    `void` | `couldNotCompleteTask(Exception e, String name)`
    `void` | `couldNotGetLock(String fileName)`
    `void` | `couldNotRemoveFile(org.apache.activemq.artemis.core.journal.impl.JournalFile file)`
    `void` | `couldNotStopCompactor()`
    `void` | `couldNotStopJournalExecutor()`
    `void` | `currentFile(Long fileID, Long id, Long fileFileID, Boolean b)`
    `void` | `deletingFile(org.apache.activemq.artemis.core.journal.impl.JournalFile file)`
    `void` | `deletingOrphanedFile(String fileToDelete)`
    `void` | `errorCallingErrorCallback(Throwable e)`
    `void` | `errorClosingFile(String fileToDelete)`
    `void` | `errorClosingFile(Throwable e)`
    `void` | `errorCompacting(Throwable e)`
    `void` | `errorCompletingCallback(Throwable e)`
    `void` | `errorDeletingFile(Object e)`
    `void` | `errorOnIOCallback(String errorMessage)`
    `void` | `errorOpeningFile(Throwable e)`
    `void` | `errorPushingFile(Exception e)`
    `void` | `errorReadingFile(Throwable e)`
    `void` | `errorReinitializingFile(Throwable e, org.apache.activemq.artemis.core.journal.impl.JournalFile file)`
    `void` | `errorReplayingCommands(Throwable e)`
    `void` | `errorRetrievingID(Throwable e, String fileName)`
    `void` | `errorSchedulingCompacting(Throwable e)`
    `void` | `errorStartingPoller(Exception e)`
    `void` | `errorSubmittingWrite(Throwable e)`
    `void` | `errorWritingData(Throwable e, String errorMessage, Integer errorCode)`
    `void` | `failedToAddFile(org.apache.activemq.artemis.core.journal.impl.JournalFile nextOpenedFile)`
    `void` | `failedToPerfBlast(Throwable e)`
    `void` | `fileFinalizedWhileOpen(String fileName)`
    `void` | `fileIdOutOfOrder()`
    `void` | `fileTooSmall()`
    `void` | `flushRate(Double rate)`
    `void` | `ignoringShortFile(String fileName)`
    `void` | `incompatibleNativeLibrary()`
    `void` | `inconsistencyDuringCompacting(Long transactionID)`
    `void` | `inconsistencyDuringCompactingDelete(Long recordID)`
    `void` | `ioError(int errorCode, String errorMessage)`
    `void` | `noRecordDuringCompactReplay(Long id)`
    `void` | `preparedTXIncomplete(Long id)`
    `void` | `runningJournalBlast(Integer numIts)`
    `void` | `seqOutOfOrder()`
    `void` | `startingThread()`
    `void` | `tempFilesLeftOpen()`
    `void` | `timeoutOnPollerShutdown(Exception e)`
    `void` | `timeoutOnWriterShutdown(Throwable e)`
    `void` | `txMissingElements(Long id)`
    `void` | `uncomittedTxFound(Long id)`
    `void` | `writeRate(Double rate, Long l)`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Field Detail

    - #### LOGGER

          static final ActiveMQJournalLogger LOGGER

      The journal logger.

  - ### Method Detail

    - #### runningJournalBlast

          @LogMessage(level=INFO)
           @Message(id=141000,
                   value="*** running direct journal blast: {0}",
                   format=MESSAGE_FORMAT)
          void runningJournalBlast(Integer numIts)

    - #### startingThread

          @LogMessage(level=INFO)
           @Message(id=141002,
                   value="starting thread for sync speed test",
                   format=MESSAGE_FORMAT)
          void startingThread()

    - #### writeRate

          @LogMessage(level=INFO)
           @Message(id=141003,
                   value="Write rate = {0} bytes / sec or {1} MiB / sec",
                   format=MESSAGE_FORMAT)
          void writeRate(Double rate,
                                                                                                                                                                      Long l)

    - #### flushRate

          @LogMessage(level=INFO)
           @Message(id=141004,
                   value="Flush rate = {0} flushes / sec",
                   format=MESSAGE_FORMAT)
          void flushRate(Double rate)

    - #### checkFiles

          @LogMessage(level=INFO)
           @Message(id=141005,
                   value="Check Data Files:",
                   format=MESSAGE_FORMAT)
          void checkFiles()

    - #### seqOutOfOrder

          @LogMessage(level=INFO)
           @Message(id=141006,
                   value="Sequence out of order on journal",
                   format=MESSAGE_FORMAT)
          void seqOutOfOrder()

    - #### currentFile

          @LogMessage(level=INFO)
           @Message(id=141007,
                   value="Current File on the journal is <= the sequence file.getFileID={0} on the dataFiles\nCurrentfile.getFileId={1} while the file.getFileID()={2}\nIs same = ({3})",
                   format=MESSAGE_FORMAT)
          void currentFile(Long fileID,
                                                                                                                                                                                                                                                                                        Long id,
                                                                                                                                                                                                                                                                                        Long fileFileID,
                                                                                                                                                                                                                                                                                        Boolean b)

    - #### fileIdOutOfOrder

          @LogMessage(level=INFO)
           @Message(id=141008,
                   value="Free File ID out of order",
                   format=MESSAGE_FORMAT)
          void fileIdOutOfOrder()

    - #### fileTooSmall

          @LogMessage(level=INFO)
           @Message(id=141009,
                   value="A Free File is less than the maximum data",
                   format=MESSAGE_FORMAT)
          void fileTooSmall()

    - #### incompatibleNativeLibrary

          @LogMessage(level=WARN)
           @Message(id=142000,
                   value="You have a native library with a different version than expected",
                   format=MESSAGE_FORMAT)
          void incompatibleNativeLibrary()

    - #### couldNotGetLock

          @LogMessage(level=WARN)
           @Message(id=142001,
                   value="Could not get lock after 60 seconds on closing Asynchronous File: {0}",
                   format=MESSAGE_FORMAT)
          void couldNotGetLock(String fileName)

    - #### fileFinalizedWhileOpen

          @LogMessage(level=WARN)
           @Message(id=142002,
                   value="Asynchronous File: {0} being finalized with opened state",
                   format=MESSAGE_FORMAT)
          void fileFinalizedWhileOpen(String fileName)

    - #### callbackError

          @LogMessage(level=WARN)
           @Message(id=142003,
                   value="AIO Callback Error: {0}",
                   format=MESSAGE_FORMAT)
          void callbackError(String error)

    - #### inconsistencyDuringCompacting

          @LogMessage(level=WARN)
           @Message(id=142004,
                   value="Inconsistency during compacting: CommitRecord ID = {0} for an already committed transaction during compacting",
                   format=MESSAGE_FORMAT)
          void inconsistencyDuringCompacting(Long transactionID)

    - #### inconsistencyDuringCompactingDelete

          @LogMessage(level=WARN)
           @Message(id=142005,
                   value="Inconsistency during compacting: Delete record being read on an existent record (id={0})",
                   format=MESSAGE_FORMAT)
          void inconsistencyDuringCompactingDelete(Long recordID)

    - #### compactingWithNoAddRecord

          @LogMessage(level=WARN)
           @Message(id=142006,
                   value="Could not find add Record information for record {0} during compacting",
                   format=MESSAGE_FORMAT)
          void compactingWithNoAddRecord(Long id)

    - #### noRecordDuringCompactReplay

          @LogMessage(level=WARN)
           @Message(id=142007,
                   value="Can not find record {0} during compact replay",
                   format=MESSAGE_FORMAT)
          void noRecordDuringCompactReplay(Long id)

    - #### couldNotRemoveFile

          @LogMessage(level=WARN)
           @Message(id=142008,
                   value="Could not remove file {0} from the list of data files",
                   format=MESSAGE_FORMAT)
          void couldNotRemoveFile(org.apache.activemq.artemis.core.journal.impl.JournalFile file)

    - #### deletingFile

          @LogMessage(level=WARN)
           @Message(id=142009,
                   value="Deleting {0} as it does not have the configured size",
                   format=MESSAGE_FORMAT)
          void deletingFile(org.apache.activemq.artemis.core.journal.impl.JournalFile file)

    - #### failedToAddFile

          @LogMessage(level=WARN)
           @Message(id=142010,
                   value="Failed to add file to opened files queue: {0}. This should NOT happen!",
                   format=MESSAGE_FORMAT)
          void failedToAddFile(org.apache.activemq.artemis.core.journal.impl.JournalFile nextOpenedFile)

    - #### compactReadError

          @LogMessage(level=WARN)
           @Message(id=142011,
                   value="Error on reading compacting for {0}",
                   format=MESSAGE_FORMAT)
          void compactReadError(org.apache.activemq.artemis.core.journal.impl.JournalFile file)

    - #### compactMergeError

          @LogMessage(level=WARN)
           @Message(id=142012,
                   value="Couldn\'\'t find tx={0} to merge after compacting",
                   format=MESSAGE_FORMAT)
          void compactMergeError(Long id)

    - #### preparedTXIncomplete

          @LogMessage(level=WARN)
           @Message(id=142013,
                   value="Prepared transaction {0} was not considered completed, it will be ignored",
                   format=MESSAGE_FORMAT)
          void preparedTXIncomplete(Long id)

    - #### txMissingElements

          @LogMessage(level=WARN)
           @Message(id=142014,
                   value="Transaction {0} is missing elements so the transaction is being ignored",
                   format=MESSAGE_FORMAT)
          void txMissingElements(Long id)

    - #### uncomittedTxFound

          @LogMessage(level=WARN)
           @Message(id=142015,
                   value="Uncommitted transaction with id {0} found and discarded",
                   format=MESSAGE_FORMAT)
          void uncomittedTxFound(Long id)

    - #### couldNotStopCompactor

          @LogMessage(level=WARN)
           @Message(id=142016,
                   value="Couldn\'\'t stop compactor executor after 120 seconds",
                   format=MESSAGE_FORMAT)
          void couldNotStopCompactor()

    - #### couldNotStopJournalExecutor

          @LogMessage(level=WARN)
           @Message(id=142017,
                   value="Couldn\'\'t stop journal executor after 60 seconds",
                   format=MESSAGE_FORMAT)
          void couldNotStopJournalExecutor()

    - #### tempFilesLeftOpen

          @LogMessage(level=WARN)
           @Message(id=142018,
                   value="Temporary files were left unnatended after a crash on journal directory, deleting invalid files now",
                   format=MESSAGE_FORMAT)
          void tempFilesLeftOpen()

    - #### deletingOrphanedFile

          @LogMessage(level=WARN)
           @Message(id=142019,
                   value="Deleting orphaned file {0}",
                   format=MESSAGE_FORMAT)
          void deletingOrphanedFile(String fileToDelete)

    - #### errorClosingFile

          @LogMessage(level=WARN)
           @Message(id=142020,
                   value="Couldn\'\'t get lock after 60 seconds on closing Asynchronous File: {0}",
                   format=MESSAGE_FORMAT)
          void errorClosingFile(String fileToDelete)

    - #### errorOnIOCallback

          @LogMessage(level=WARN)
           @Message(id=142021,
                   value="Error on IO callback, {0}",
                   format=MESSAGE_FORMAT)
          void errorOnIOCallback(String errorMessage)

    - #### timeoutOnPollerShutdown

          @LogMessage(level=WARN)
           @Message(id=142022,
                   value="Timed out on AIO poller shutdown",
                   format=MESSAGE_FORMAT)
          void timeoutOnPollerShutdown(@Cause
                                                                                                                                                                       Exception e)

    - #### couldNotCompleteTask

          @LogMessage(level=WARN)
           @Message(id=142023,
                   value="Executor on file {0} couldn\'\'t complete its tasks in 60 seconds.",
                   format=MESSAGE_FORMAT)
          void couldNotCompleteTask(@Cause
                                                                                                                                                                                                      Exception e,
                                                                                                                                                                                                      String name)

    - #### errorCompletingCallback

          @LogMessage(level=WARN)
           @Message(id=142024,
                   value="Error completing callback",
                   format=MESSAGE_FORMAT)
          void errorCompletingCallback(@Cause
                                                                                                                                                                Throwable e)

    - #### errorCallingErrorCallback

          @LogMessage(level=WARN)
           @Message(id=142025,
                   value="Error calling onError callback",
                   format=MESSAGE_FORMAT)
          void errorCallingErrorCallback(@Cause
                                                                                                                                                                       Throwable e)

    - #### timeoutOnWriterShutdown

          @LogMessage(level=WARN)
           @Message(id=142026,
                   value="Timed out on AIO writer shutdown",
                   format=MESSAGE_FORMAT)
          void timeoutOnWriterShutdown(@Cause
                                                                                                                                                                       Throwable e)

    - #### errorWritingData

          @LogMessage(level=WARN)
           @Message(id=142027,
                   value="Error on writing data! {0} code - {1}",
                   format=MESSAGE_FORMAT)
          void errorWritingData(@Cause
                                                                                                                                                                     Throwable e,
                                                                                                                                                                     String errorMessage,
                                                                                                                                                                     Integer errorCode)

    - #### errorReplayingCommands

          @LogMessage(level=WARN)
           @Message(id=142028,
                   value="Error replaying pending commands after compacting",
                   format=MESSAGE_FORMAT)
          void errorReplayingCommands(@Cause
                                                                                                                                                                                       Throwable e)

    - #### errorClosingFile

          @LogMessage(level=WARN)
           @Message(id=142029,
                   value="Error closing file",
                   format=MESSAGE_FORMAT)
          void errorClosingFile(@Cause
                                                                                                                                                  Throwable e)

    - #### errorOpeningFile

          @LogMessage(level=WARN)
           @Message(id=142030,
                   value="Could not open a file in 60 Seconds",
                   format=MESSAGE_FORMAT)
          void errorOpeningFile(@Cause
                                                                                                                                                                   Throwable e)

    - #### errorRetrievingID

          @LogMessage(level=WARN)
           @Message(id=142031,
                   value="Error retrieving ID part of the file name {0}",
                   format=MESSAGE_FORMAT)
          void errorRetrievingID(@Cause
                                                                                                                                                                              Throwable e,
                                                                                                                                                                              String fileName)

    - #### errorReadingFile

          @LogMessage(level=WARN)
           @Message(id=142032,
                   value="Error reading journal file",
                   format=MESSAGE_FORMAT)
          void errorReadingFile(@Cause
                                                                                                                                                          Throwable e)

    - #### errorReinitializingFile

          @LogMessage(level=WARN)
           @Message(id=142033,
                   value="Error reinitializing file {0}",
                   format=MESSAGE_FORMAT)
          void errorReinitializingFile(@Cause
                                                                                                                                                                    Throwable e,
                                                                                                                                                                    org.apache.activemq.artemis.core.journal.impl.JournalFile file)

    - #### errorSubmittingWrite

          @LogMessage(level=WARN)
           @Message(id=142034,
                   value="Exception on submitting write",
                   format=MESSAGE_FORMAT)
          void errorSubmittingWrite(@Cause
                                                                                                                                                                 Throwable e)

    - #### errorDeletingFile

          @LogMessage(level=ERROR)
           @Message(id=144000,
                   value="Failed to delete file {0}",
                   format=MESSAGE_FORMAT)
          void errorDeletingFile(Object e)

    - #### errorStartingPoller

          @LogMessage(level=ERROR)
           @Message(id=144001,
                   value="Error starting poller",
                   format=MESSAGE_FORMAT)
          void errorStartingPoller(@Cause
                                                                                                                                                         Exception e)

    - #### errorPushingFile

          @LogMessage(level=ERROR)
           @Message(id=144002,
                   value="Error pushing opened file",
                   format=MESSAGE_FORMAT)
          void errorPushingFile(@Cause
                                                                                                                                                          Exception e)

    - #### errorCompacting

          @LogMessage(level=ERROR)
           @Message(id=144003,
                   value="Error compacting",
                   format=MESSAGE_FORMAT)
          void errorCompacting(@Cause
                                                                                                                                                Throwable e)

    - #### errorSchedulingCompacting

          @LogMessage(level=ERROR)
           @Message(id=144004,
                   value="Error scheduling compacting",
                   format=MESSAGE_FORMAT)
          void errorSchedulingCompacting(@Cause
                                                                                                                                                                     Throwable e)

    - #### failedToPerfBlast

          @LogMessage(level=ERROR)
           @Message(id=144005,
                   value="Failed to performance blast",
                   format=MESSAGE_FORMAT)
          void failedToPerfBlast(@Cause
                                                                                                                                                             Throwable e)

    - #### ioError

          @LogMessage(level=ERROR)
           @Message(id=144006,
                   value="IOError code {0}, {1}",
                   format=MESSAGE_FORMAT)
          void ioError(int errorCode,
                                                                                                                                             String errorMessage)

    - #### ignoringShortFile

          @LogMessage(level=WARN)
           @Message(id=144007,
                   value="Ignoring journal file {0}: file is shorter then minimum header size. This file is being removed.",
                   format=MESSAGE_FORMAT)
          void ignoringShortFile(String fileName)

Copyright © 2015. All rights reserved.